API referenceInvoice
POST /api/Invoice/Post
This endpoint will create a new Invoice if the ID is null or zero, or update an existing Invoice if a valid ID is provided. For creation, do not include an ID or set the ID to zero in the request body. For updating, include the existing Invoice ID and the updated data in the request body.
POST
/api/Invoice/Postcurl -X POST "/api/Invoice/Post" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": [
{
"amount": 0
}
]
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataEtrmApiGateway.DTOs.InvoiceCreationDto[] | null
Response
application/json
A list of Invoices.
successbooleanrecordCountinteger<int32>dataEtrmApiGateway.DTOs.BackOffice.InvoiceDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"externalId": "string",
"orderId": 0,
"amount": 0,
"invoiceNumber": "string",
"invoiceDate": "2026-01-15T09:30:00Z",
"dueDate": "2026-01-15T09:30:00Z",
"isPaid": true,
"createdAt": "2026-01-15T09:30:00Z",
"modifiedAt": "2026-01-15T09:30:00Z"
}
]
}